Is ISY firmware version 5.0.14 supported?

Post your MobiLinc comments and feedback here.

Is ISY firmware version 5.0.14 supported?

Postby robbert2012 » Tue Jan 22, 2019 7:58 am

Hi,

I did a lot of things to my ISY recently and now Mobilinc refuses to stay connected to my ISY.

I upgraded my ISY firmware from 4.x to 5.0.14.
I added Z-wave support and Z-wave devices to my ISY.
I added NodeServers to my ISY.

I do see Mobilinc retrieving device status once in a while, but then it says "Connection Error... Please verify connection settings. ...". This happens on all three IOS devices that used to run Mobilinc just fine. No connection setting were modified or needed to be modified. I'm not using Mobilinc Connect.

My guess is that Mobilinc doesn't like one of the above things.
I'm running Mobilinc 4.17
So are the above features supported? Is there a workaround?

Thanks,

Bert
robbert2012
 
Posts: 11
Joined: Sun Dec 14, 2014 7:49 am

Re: Is ISY firmware version 5.0.14 supported?

Postby AdminWes » Tue Jan 22, 2019 8:34 am

Hi Bert,

Beta 5.0.14 does work with MobiLinc (we've tested against a 5.0.14 unit locally), but I can't recommend running beta firmware on your ISY for issues that may pop up like this. That error message means the ISY is disconnecting the MobiLinc client for some reason.

Try deleting MobiLinc, rebooting your mobile device and reinstalling MobiLinc. See if that helps at all. There may be old 4.x information synced in MobiLinc that's causing trouble.

Wes
AdminWes
Site Admin
 
Posts: 2120
Joined: Sat Feb 07, 2009 2:52 pm

Re: Is ISY firmware version 5.0.14 supported?

Postby robbert2012 » Tue Jan 22, 2019 1:45 pm

Wes,

Thanks for your quick response.
I did what you suggested: uninstall, reboot, re-install. But it didn't make a difference.

What I see Mobilinc doing is:
- retrieving configuration
- parsing devices and scenes
- parsing programs list
- parsing program status
- ...
- parsing device 2A 19 FE 1 Details
==> this is where it shows "disconnected"

The device 2A 19 FE is a KeyPad Linc.

I removed all the NodeServers (except the Portal Node Server) and tried again, but it didn't change the behavior.

Any other ideas?
Thanks,

Bert
robbert2012
 
Posts: 11
Joined: Sun Dec 14, 2014 7:49 am

Re: Is ISY firmware version 5.0.14 supported?

Postby AdminWes » Wed Jan 23, 2019 6:31 am

Hi Bert,

In cases like this, the ISY is sending back invalid XML data to MobiLinc. Sometimes I can identify what the XML is that's invalid and offer suggestions to clear it out. I would need to connect to your ISY from the lab to try this.

If you have MobiLinc Connect send me your ISY's UUID. Otherwise, send me your external IP/port/username/password to support@mobilinc.com and reference this post.

Wes
AdminWes
Site Admin
 
Posts: 2120
Joined: Sat Feb 07, 2009 2:52 pm

Re: Is ISY firmware version 5.0.14 supported?

Postby robbert2012 » Wed Jan 23, 2019 10:46 am

Wes,

After fiddling some more with it (re-install,download-all...), it is working again on 2 out of three devices (I'm pretty sure I can get the 3rd device to work again also).

I believe that my problem was caused by NodeServers. I had 3 NodeServers installed: Sun, AV-remote, Occupancy.
I believe that the reason Mobilinc didn't work immediately after I uninstalled my NodeServers is that "things needed to settle" (whatever, or wherever that was needed).

Thanks for your help.

Bert
robbert2012
 
Posts: 11
Joined: Sun Dec 14, 2014 7:49 am

Re: Is ISY firmware version 5.0.14 supported?

Postby AdminWes » Thu Jan 24, 2019 9:53 am

Thanks Bert!

Wes
AdminWes
Site Admin
 
Posts: 2120
Joined: Sat Feb 07, 2009 2:52 pm


Return to MobiLinc Feedback and Comments

Who is online

Users browsing this forum: No registered users and 1 guest

cron